%% Info sur un satellite avec lecture tle sur le web
lu = tleUrlList();
ls = tleUrlListSats(lu{1});
tle = tleUrlRead(ls{2}, lu{1});
sat = tle2sat(tle);
printf("\nSortie de sat_info(sat, julNow(), false)\n");
sat_info(sat, julNow(), false);
%% Info sur un satellite avec lecture tle sur le disque
ls = tleFileListSats("datas/stations.txt");
tle = tleFileRead(ls{2},"datas/stations.txt");
sat = tle2sat(tle);
sat_info(sat, julNow(), false);
printf("\n\n"); fflush(stdout);
input("Taper une touche pour continuer");
%% Initialisation de la bibliothèque Astro
initAstro;
%% Affichage des noms des 94 étoiles les plus brillantes
printf("\nListe des 94 étoiles les plus brillantes\n")
stars_Blist;
input("Taper une touche pour continuer");
%% Initialisation des paramètres astro date 10/4/2014 19:21:00 UT
%% longitude et latitude de l'observatoire de Paris
%% impression diverses
jU = ymdhms2jul(2014, 4, 10, 19, 21); % 10 Avril 2014 à 19h21 UT
printf("\nSortie de initAstro(jU, dms2rad(2,20,14), dms2rad(48,50,11), 67., true)\n");
initAstro(jU, dms2rad(2,20,14), dms2rad(48,50,11), 67., true);
printf("\n\n"); fflush(stdout);
input("Taper une touche pour continuer");
%% Information sur l'étoile Régulus pour ces parametres cf. M_fr_p60
printf("\nSortie de star_info('Regulus', jU)\n");
star_info('Regulus', jU);
printf("\n\n"); fflush(stdout);
input("Taper une touche pour continuer");
%% Coord. Mars le 4/4/2014 2:34:00 UT même lieu cf. M_fr_p106
printf("\nnlle date\n");
jU = ymdhms2jul(2014,4,4,2,34); disp(["Date : " jul2dmy(jU)]);
printf("\nSortie de planet_info(4, jU)\n");
planet_info(4, jU);
printf("\n\n"); fflush(stdout);
input("Taper une touche pour continuer");
%% Initialisation des paramètres astro pour le 20/12/1992 0:0: TD
jD = ymdhms2jul(1992,12,20,0,0); jU = jD - jul2deltaT(jD);
printf("\nSortie de initAstro(jU, dms2rad(-77,3,56), dms2rad(38,55,17), 0., true)\n");
initAstro(jU, dms2rad(-77,3,56), dms2rad(38,55,17), 0., true);
%% Coordonnées Vénus à cette date cf. M_fr_p89
printf("\nSortie de planet_info(2, jU)\n");
planet_info(2, jU);
printf("\n\n"); fflush(stdout);
input("Taper une touche pour continuer");
%% Initialisation des paramètres astro pour le 10/4/1987 19:21:00 UT
%% longitude et latitude de l'observatoire de l'U.S. Naval Washington
%% cf M_us_p95
printf("\nnlle date\n");
jU = ymdhms2jul(1987,4,10,19,21);
initAstro(jU, dms2rad(-77,3,56), dms2rad(38,55,17), 0., false);
%% Coordonnées Vénus à cette date
planet_info(2, jU);
printf("\n\n"); fflush(stdout);
input("Taper une touche pour continuer");
%% Initialisation des paramètres astro pour le 28/8/2003 3:17:00 UT
%% longitude et latitude de l'observatoire du Mont Palomar
%% cf M_us_p280
printf("\nIdem, autre date et autre planète\n");
jU = ymdhms2jul(2003,8,28,3,17);
initAstro(jU, hms2rad(-7,47,27), dms2rad(33,21,22), 1706., true);
%% Coordonnées Mars à cette date
planet_info(4, jU);
printf("\n\n"); fflush(stdout);