function str = dayd2hms(jdec)
% dayd2hms : Conversion jour decimal en string heure minute seconde
% Usage : str = dayd2hms(jdec);
% Entree :
%    jdec : jour decimal par exemple 3.5
% Sortie :
%   str : string du style 12h00m00.0s pour jdec = 0.5 ou 7.5 par exemple.
  jdec += 0.0004/86400.;  % Pour arrondi a la ms près
	j = floor(jdec); jdec = jdec - j; hdec = jdec*24.;
  if hdec < 0, hdec = 0; end
	h = floor(hdec); hdec = hdec - h; mdec = hdec*60.;
  if mdec < 0, mdec = 0; end
	m = floor(mdec); mdec = mdec - m; sdec = mdec*60.;
  if sdec < 0, sdec = 0; end
  str = sprintf('%2dh%02dm%06.3fs',h,m,sdec);	
endfunction

