function str = deg2dms(degdec)
% deg2dms : Conversion angle de degre en String Degres MM SS.S
% VERSION STD AVEC 0 <= D < 360
% Usage : str = deg2dms(degdec);
% Entree  : degdec = angle en degre
% Sortie : str = string D°M'S"
degdec = mod(degdec, 360.) + 0.0004/3600; % Pour  arrondi à la ms d'arc près
deg = floor(degdec + 10*eps);
minss = (degdec - deg)*60.;
if (minss < 0.), minss = 0; end
mm = floor(minss + 10*eps);
ss = (minss - mm)*60.;
if ss < 0., ss = 0.; end
se = floor(ss + 0.0005);
sd = ss - se; if sd < 0., sd = 0.; end
sd = floor(1000.*sd);
str = sprintf('%3d°%02d''%02d".%03d',deg, mm, se, sd);
endfunction