function str = deg2hms2(ang)
% deg2hms2 : Conversion angle de degres en string HH MM SS.S
% VERSION 2 AVEC -12 < HH <= 12
% Usage : [str hms] = deg2hms2(ang);
% Entree  : ang = angle en degres
% Sortie : str = string HHhMMhSS.S
hhdec = mod(ang/15 + 12, 24) - 12;
if hhdec >= 0., signe = 1; else signe = -1; hhdec = -hhdec; end 
hhdec += 0.0004/3600; % pour arrondi à ms près
hh = floor(hhdec);
minss = (hhdec - hh)*60.;
if (minss < 0.), minss = 0; end
mm = floor(minss);
ss = (minss - mm)*60.;
if ss < 0., ss = 0.; end
if signe < 0
  str = sprintf('-%dh%02dm%06.3fs',hh,mm,ss);
else
  str = sprintf('%dh%02dm%06.3fs',hh,mm,ss);
end
endfunction