function [exenT] = eccentricity(T)
% eccentricity : eccentricite de l'orbite de la Terre à la date T
% Usage : exenT = eccentricity(T);
% Entree facultative :
%	  siecle julien du calcul : T  = (JD-2451545)/36525;
% Sorties :
%	 exenT  : eccentricite de l'orbite de la Terre à la date T
% Remarque : C'est également celle de l'orbite du Soleil
if nargin < 1
  ju = julNow(); je = ju + jul2deltaT(ju); T = jul2juc(je);
end
exenT = 0.016708634 - T*(0.000042037 + T*0.0000001267);
endfunction
