function [ra dec] = ecli2equa(lambda, beta, obliq)
% ecli2equa : Conversion de coordonnnees ecliptiques en equatoriales
% Usage : [ra dec] = ecli2equa(lambda, beta, obliq);
% Entrees : 
%   lambda, beta : Coordonnees ecliptiques
%   obliq : Obliquite (facultative)
% Sorties :
%   ra, dec : Coordonnees equatoriales
% !!!!!!!! Tous les angles sont en RADIANS   !!!!!!!!
global epsCou
if nargin < 3
  if isempty(epsCou), initAstro; endif 
  obliq = epsCou;
endif 
se = sin(obliq); ce = cos(obliq);
sl = sin(lambda); cl = cos(lambda);
sb = sin(beta); cb = cos(beta);
dec = asin(se*sl*cb + ce*sb);
ra = atan2(ce*sl*cb - se*sb, cl*cb);
endfunction