function [lambda beta] = equa2ecli(ra, dec, obliq)
% equa2ecli : Conversion de coordonnnees equatoriales en ecliptiques
% Usage : [lambda beta] = equa2ecli(ra, dec, obliq)
% Entrees : 
%   ra, dec : Coordonnees equatoriales
%   obliq : Obliquite (facultative)
% Sorties :
%   lambda, beta : coordonnees ecliptiques.
% !!!!!!!! Tous les angles sont en RADIANS !!!!!!!!
global epsCou
if nargin < 3
  if isempty(epsCou), initAstro; endif 
  obliq = epsCou;
endif 
se = sin(obliq); ce = cos(obliq);
sa = sin(ra); ca = cos(ra);
sd = sin(dec); cd = cos(dec);
beta = asin(-se*sa*cd + ce*sd);
lambda = atan2(ce*sa*cd + se*sd, ca*cd);
endfunction