function [l b] = equa2gala(alfa, delta)
% equa2gala : Conversion coordonnees equatoriales en galactiques
% Usage : [l b] = equa2gala(alfa, delta);
% Entrees :
%    alfa   : ascension droite
%    delta  : declinaison
% Sorties :
%    l      : longitude galactique
%    b      : latitude galactique
% Tous les angles sont en RADIANS positifs dans le sens DIRECT
   d1950 = 27.4*pi/180; cD = cos(d1950); sD = sin(d1950);
   A = alfa - 192.25*pi/180; cA = cos(A); sA = sin(A);
   cd = cos(delta); sd = sin(delta);   
   b = asin(cD*cA*cd + sD*sd);
   l = -57*pi/180 + atan2(sA*cd, sD*cA*cd - cD*sd);
endfunction