function [alfa delta] = gala2equa(l, b)
% gala2equa : Conversion coordonnees galactiques en equatoriales
% Usage : [alfa delta] = gala2equa(l, b);
% Entrees :
%    l      : longitude galactique
%    b      : latitude galactique
% Sorties :
%    alfa   : ascension droite
%    delta  : declinaison
% TOUS les angles sont en RADIANS positifs dans le sens DIRECT
   d1950 = 27.4*pi/180; cD = cos(d1950); sD = sin(d1950);
   L = l + 57*pi/180; cL = cos(L); sL = sin(L);
   cb = cos(b); sb = sin(b);   
   delta = asin(-cD*cL*cb + sD*sb);
   alfa = 192.25*pi/180 + atan2(sL*cb , sD*cL*cb + cD*sb);
endfunction