function [azi haut] = hour2hori(HA, dec, lati)
% hour2hori : Conversion de coordonnnees horaires en horizontales
% Usage : [azi haut] = hour2hori(HA, dec, lati);
% Entrees : 
%   HA : angle horaire de l'etoile
%   dec : declinaison
%   lati : latitude du lieu (facultative)
% Sorties :
%   Azi, haut : Coordonnees horizontales
% L'azimut est compte a partir du sud, positif vers l'ouest (sens horaire)
% !!!!!!!! Tous les angles sont en RADIANS   !!!!!!!!
global latiCou
if nargin < 3, 
  if isempty(latiCou), initAstro; endif 
  lati = latiCou;
endif
sh = sin(HA); ch = cos(HA);
sd = sin(dec); cd = cos(dec);
sp = sin(lati); cp = cos(lati);
azi = atan2(sh*cd, ch*sp*cd - sd*cp);
haut = asin(sp*sd + cp*cd*ch);
endfunction