function str = jul2dmy(JJ)
% jul2dmy : Conversion jour julien en string jour/mois/annee
% Usage : str = jul2dmy(JJ)
% Entree : JJ = date julienne en jours decimaux depuis le Lundi 1/1/-4712 a 12h
% Sortie : 
%     str : la date en string 
% Remarques : annee  1 av.J.-C. est note 0, etc..)
%             mois de 1 à 12
%             jdec = jour decimal : le 10.5 c'est le 10 a midi.
% Attention : jdec termine par .5 quand JJ termine par .0 et reciproquement
  tabjours = ['Lundi'; 'Mardi'; 'Mercredi'; 'Jeudi';'Vendredi'; 'Samedi'; 'Dimanche'];
  [jdec, mm, aa] = jul2jma(JJ);
  sj = tabjours(1 + floor(mod(JJ + 0.5,7)),:);
	str = sprintf('%s %02d/%02d/%04d à %s',sj,floor(jdec),mm,aa, dayd2hms(jdec));
endfunction