function hsg = jul2gst1_rd(jj)
% jul2gst1_rd : Temps sideral moyen pour Greenwich, pour le jour julien jj.
% Usage : hsg = jul2gst1_rd(jj);
% Ce temps est egalement l'ascension de Greenwich a cette date.
% Il est fourni en !!!!!!!!!!!!  RADIANS  !!!!!!!!!!!
% Version originale de jul2mgst_rd, plus compliquee, avec systeme de cliquet

	% On fait demarrer les jj a 0h au lieu de 12h
	jmoins = jj - 0.4999999999999; % jour avec partie decimale
	jent = floor(jmoins + 10*eps); % partie entiere seule
	jdec = jmoins - jent; % partie decimale
	if jdec < 0., jdec = 0.; end
	j0h = jent + 0.5;  % valeur de jj, le meme jour a 0h.
	T = (j0h - 2451545)/36525;
	hsg0 = 100.46061837 + T*(36000.770053608+T*(0.000387933-T/38710000))
	hsg = hsg0 + jdec*360.98564736629;
	hsg = mod(hsg, 360.);
	hsg = hsg*pi/180.;
return;