function [dAlpha, dDelta] = nutationEqua(ra, dec, obliq, dPsi, dEps)
% nutationEqua : correction nutation en coordonnees equatoriales
% Usage : [dAlpha, dDelta] = nutationEqua(ra, dec, obliq, dPsi, dEps);
%  !!!!!  ra, dec et eps doivent etre en RADIANS  !!!!!
%  !!!!!  dPsi et dEps doivent etre dans la meme unité (qcq)
% Entrees :
%   ra, dec : ascension droite et declinaison de l'etoile a corriger
%   obliq : obliquite vraie de l'écliptique
%   dPsi, dEps : corrections nutation ecliptiques 
% Sorties :
%   dAlpha, dDelta : variation a appliquer a ra et dec.
%   Sortis dans la meme unite que dPsi et dEps
    cosa = cos(ra); sina = sin(ra);
    cosDec = cos(dec); sinDec = sin(dec);
    cosEps = cos(obliq); sinEps = sin(obliq);
    dAlpha = cosEps*dPsi + (sinEps*sina*dPsi - cosa*dEps)*sinDec/cosDec;
    dDelta = sinEps*cosa*dPsi + sina*dEps;
endfunction