function [eps_m_dg] = obliquity_dg(T)
% obliquity_dg : Calcul de l'obliquite moyenne en degres
% Usage : eps_m_dg = obliquity_dg(T);
% Entree facultative :
%	  siecle julien du calcul : T  = (JD-2451545)/36525;
% Sorties :
%	 eps_m  : obliquite moyenne a la date T, en degres
if nargin < 1
  ju = julNow(); je = ju + jul2deltaT(ju); T = jul2juc(je);
end
eps_m_dg = 23 + 26/60 + (21.448 - T*(46.8150 + T*(0.00059 - 0.001813*T)))/3600;
return
