function [xyz lbr] = planet_je2eclipGbis(npla, JD, boolDate, xyzT)
% PAS FINI - C'EST TOUJOURS HELIOCENTRIQUE !!!!!!!!!
% planet_je2eclipGbis : Coordonnees ecliptiques geocentriques d'une planete
% Usage : [xyz lbr] = planet_je2eclipGbis(npla, JD, boolDate, xyzT);
% Entrees :
%    JD: date du calcul jours juliens
%    npla : numero de la planete (1 à 8)
%    boolDate  : si vrai, calcul relatif au repere de la date,
%                sinon calcul relatif au repere J2000.
%    xyzT : Coordonnees heliocentriques de la Terre/meme repere
% Sorties :
%    xyz : Coordonnees cartesiennes geocentriques de la planete
%    lbr : Coordonnees polaires geocentriques de la planete
% Les angles sont en radians et les distances en UA.
% Exemple d'appel pour Venus a la date julienne JD.
%    [xyz lbr] = planet_je2eclipGbis(2, JD, true, xyzT);
   xyz = planet_je2eclipHbis(npla, JD, boolDate, true) - xyzT;
% Coordonnées ecliptiques
   rho = norm(xyz);
   lambda = atan2(xyz(2),xyz(1));
   beta = asin(xyz(3)/rho);
   lbr = [lambda beta rho];
endfunction