function ha = rAsc2hAng(alpha, JU, L)
% rAsc2hAng : Conversion ascension droite en angle horaire
% Usage : ha = rAsc2hAng(ang)
% Entrees : 
%   alpha : ascension droite de l'astre
% Entrees facultatives
%   JU    : jour julien de la date TU
%    L    : longitude du lieu
% Sortie : 
%    ha   : angle horaire
global tslaCou longiCou
if nargin == 3
  tsla = jul2alst_rd(JU, L);
else
  if isempty(longiCou), initAstro; endif
  if nargin == 2, tsla = jul2agst_rd(JU) + longiCou; else tsla = tslaCou; end
end
% Angle horaire local de l'astre 
ha = tsla - alpha;
endfunction