function [sat] = sat_find (nom)
% sat_find : Recherche d'un sat a partir des fichiers tle sur le web
% Usage : [ret] = star_find (nom);
% Entree :
%    nom : nom du satellite tel qu'il apparait dans les fichiers TLE
% Sortie : 
%    ret : La structure contenant les donnees du satellite.
%          Si non trouvee, isempty(ret) sera vrai
sat = [];
adr = tleUrlList(false); 
for i=1:9
  tle = tleUrlRead(nom, adr{1,i}, false);
  if ~isempty(tle), break; end
endfor
if isempty(tle), return; end
sat = tle2sat(tle);
endfunction
