function [ret] = star_find (valin)
% star_find : Recherche d'une etoile dans les tableaux d'etoiles
% Usage : [ret] = star_find (valin);
% Entree :
%    valin : soit un numero compris entre 1 et 9110 dans le catalogue V50
%            soit le nom d'une des 94 etoiles brillantes (liste : stars_Blist)
% Sortie : 
%    ret : La structure contenant les donnees sur l'etoile.
%          Si non trouvee, isempty(ret) sera vrai
  global bigStars tabStars
  if isempty(tabStars), initStars; endif
  if isnumeric(valin)
    if valin > 0 && valin < 9110, ret = tabStars(valin);
    else ret = []; endif
  else 
    name = tolower(valin);
    idx = -1;
    for n=1:size(bigStars,2)
      if strcmp(tolower(bigStars{1,n}), name), idx = n; break; endif
    endfor
    if idx > 0,  ret = tabStars(bigStars{2,idx});
    else  ret = []; endif
    idx
  endif
endfunction
