function list = tleFileListSats(filename, verbose)
% tleFileListSats : Liste des noms des satellites d'un fichier tle 
% Usage : list = tleFileListSats(filename, verbose)
% Entrees :
%   filename : d'un d'un fichier contenant des TLE
%   verbose  : Si vrai : impression des noms des satellite
% Sortie :
%   list     : Liste des noms trouves
  fileIn = fopen(filename,"r");
  if fileIn == -1, disp("Echec access fichier tle satellites !"), return; endif
  if nargin < 2, verbose = false; endif
  k = 0;
  while true
    name = fgetl(fileIn); if name == -1, break; endif
    name = strtrim(name);
    line1 = fgetl(fileIn); if line1 == -1, break; endif
    line2 = fgetl(fileIn); if line2 == -1, break; endif
    k++;
	  list{k} = name;
    if verbose, disp(name); endif
  endwhile
  fclose(fileIn);  
endfunction
