function tle = tleFileRead(nom, filename, verbose)
% tleFileRead : chargement d'une TLE depuis un fichier disque
% Usage : tle = tleFileRead(nom, filename, verbose);
% Entrees :
%   nom      : nom du satellite recherche
%   filename : d'un d'un fichier contenant des TLE
%   verbose  : Si vrai : impression des elements du satellite
% Sortie :
%   tle      : Une structure contenant tous les elements du satellite
%              ou [] si le satellite n'a pas ete trouve.
  fileIn = fopen(filename,"r");
  if fileIn == -1, disp("Echec access fichier tle satellites !"), return; endif
  ok = true;
  while true
    name = fgetl(fileIn); if name == -1, ok = false; break; endif
    name = strtrim(name);
    line1 = fgetl(fileIn); if line1 == -1, ok = false; break; endif
    line2 = fgetl(fileIn); if line2 == -1, ok = false; break; endif
	if strcmp(tolower(nom), tolower(name)), break; endif
  endwhile
  fclose(fileIn);  
  if !ok, tle = []; return; endif
  if nargin < 3, verbose = false; endif
  tle = tleDecode(name, line1, line2, verbose);
endfunction
