function list = tleUrlListSats(url, verbose)
% tleUrlListSats : Liste des noms des satellites d'une adresse Url de tle 
% Usage : list = tleUrlListSats(url, verbose)
% Entrees :
%   url : d'un d'un fichier contenant des TLE
%   verbose  : Si vrai : impression des noms des satellite
% Sortie :
%   list     : Liste des noms trouves
  [texte, ok] = urlread(url);
  if !ok, disp("Echec access url tle satellites !"), return; endif
  lines = strsplit(texte,{"\n";"\r"});
  ok = false;
  if nargin < 2, verbose = false; endif
  n = 0;
  for k = 1:3:length(lines)-2
    n++;
    list{n}= strtrim(lines{k});
    if verbose, disp(list{n}); endif
  endfor
endfunction
