function lines12 = tleUrlRead2lines(nom, url, verbose)
% tleUrlRead : chargement d'une TLE a partir de l'URL de son fichier
% Usage : tle = tleUrlRead(nom, filename, verbose);
% Entrees :
%   nom      : nom du satellite recherche
%   url      : adresse web d'un fichier de TLE (voir tleUrlList())
%   verbose  : Si vrai : impression des elements du satellite
% Sortie :
%   tle      : Une structure contenant tous les elements du satellite
%              ou [] si le satellite n'a pas ete trouve.
  [texte, ok] = urlread(url);
  if !ok, disp("Echec access url tle satellites !"), return; endif
  lines = strsplit(texte,{"\n";"\r"});
  ok = false;
  for k = 1:3:length(lines)-2
    name = strtrim(lines{k});
    line1 = lines{k+1}; line2 = lines{k+2};
	  if strcmp(tolower(nom), tolower(name)), ok = true; break; endif
  endfor
  clear texte; 
  if !ok, tle = []; return; endif
  lines12 = [line1;line2];
endfunction
